=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kongress
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>
 Build-Depends: cmake (>= 3.0~),
                debhelper-compat (= 13),
@@ -23,8 +24,8 @@
                qttools5-dev (>= 5.7.0~),
 Standards-Version: 4.6.2
 Homepage: https://apps.kde.org/en/kongress
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kongress
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kongress.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kongress
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kongress
 Rules-Requires-Root: no
 
 Package: kongress
