=== debian/changelog ===
kongress (24.12.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Package moved to the KDE Gear set.
  * Add/update Heiko Becker’s key in upstream keyring.
  * New upstream release (24.12.2).
  * Build against Qt6, update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0, no change required.
  * Switch to declarative KF6 debhelper build sequence.
  * Switch to dh-sequence-qmldeps for runtime QML dependencies.
  * Refresh upstream metadata.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 13 Feb 2025 22:27:24 +0100
