=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                qt6-base-dev (>= 6.5.0~),
                qt6-declarative-dev (>= 6.5.0~),
                qt6-svg-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://apps.kde.org/kongress
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kongress
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kongress.git
@@ -34,9 +34,7 @@
 
 Package: kongress
 Architecture: any
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: companion application for conferences made by KDE
  Kongress provides practical information about conferences. It supports
  conferences that offer their schedule in iCalendar format. In Kongress, the
