## kongress 25.04.3

=== debian/changelog ===
kongress (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:49:04 +0100

kongress (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:52:28 +0100

kongress (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:11:40 +0100

kongress (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * Add pkgconf build depend.

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:55:13 +0100
