=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: kongress
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.1.0~),
                kirigami-addons-dev (>= 1.0~),
-               kosmindoormap-dev,
+               kosmindoormap-dev (>= 25.04.3~),
                libkf6calendarcore-dev (>= 6.1.0~),
                libkf6colorscheme-dev (>= 6.1.0~),
                libkf6config-dev (>= 6.1.0~),
@@ -21,20 +22,23 @@
                libkirigami-dev (>= 6.1.0~),
                libssl-dev,
                pkg-kde-tools,
+               pkgconf,
                qml6-module-qtlocation,
                qml6-module-qtpositioning,
                qt6-base-dev (>= 6.5.0~),
                qt6-declarative-dev (>= 6.5.0~),
                qt6-svg-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://apps.kde.org/kongress
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kongress
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kongress.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kongress
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kongress
 Rules-Requires-Root: no
 
 Package: kongress
 Architecture: any
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: companion application for conferences made by KDE
  Kongress provides practical information about conferences. It supports
  conferences that offer their schedule in iCalendar format. In Kongress, the
