=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.1.0~),
                kirigami-addons-dev (>= 1.0~),
-               kosmindoormap-dev (>= 25.07.80~),
+               kosmindoormap-dev (>= 25.07.90~),
                libkf6calendarcore-dev (>= 6.1.0~),
                libkf6colorscheme-dev (>= 6.1.0~),
                libkf6config-dev (>= 6.1.0~),
