=== kongressac/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,12 @@
     notificationhandler.cpp
     solidwakeupbackend.cpp
     wakeupmanager.cpp
+    calalarmclient.h
+    alarmsmodel.h
+    alarmnotification.h
+    notificationhandler.h
+    solidwakeupbackend.h
+    wakeupmanager.h
 )
 
 qt_add_dbus_adaptor(kongressac_SRCS org.kde.kongressac.xml calalarmclient.h CalAlarmClient)
@@ -20,12 +26,13 @@
 add_executable(kongressac ${kongressac_SRCS} ${RESOURCES})
 
 target_link_libraries(kongressac
-    KF${QT_MAJOR_VERSION}::CoreAddons
-    KF${QT_MAJOR_VERSION}::ConfigCore
-    KF${QT_MAJOR_VERSION}::CalendarCore
-    KF${QT_MAJOR_VERSION}::DBusAddons
-    KF${QT_MAJOR_VERSION}::Notifications
-    KF${QT_MAJOR_VERSION}::I18n
+    KF6::CoreAddons
+    KF6::ConfigCore
+    KF6::CalendarCore
+    KF6::DBusAddons
+    KF6::Notifications
+    KF6::I18n
+    KF6::Crash
     Qt::DBus
     )
