## kongress 25.08.1+p24.04+vstable+git20250928.0626

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 project(kongress VERSION ${RELEASE_SERVICE_VERSION})
 
 set(QT_MIN_VERSION "6.8.0")
-set(KF_MIN_VERSION "6.12.0")
+set(KF_MIN_VERSION "6.15.0")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
