## kongress 25.08.1+p24.04+vstable+git20251001.0052

=== debian/changelog ===
kongress (25.08.1+p24.04+vstable+git20251001.0052-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 00:52:59 +0000
