## kongress 25.08.2+p24.04+vstable+git20251015.0728

=== debian/changelog ===
kongress (25.08.2+p24.04+vstable+git20251015.0728-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 07:28:47 +0000

kongress (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 03:46:45 +0000
