## kongress 25.08.2+p24.04+vstable+git20251018.2358

=== debian/changelog ===
kongress (25.08.2+p24.04+vstable+git20251018.2358-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 18 Oct 2025 23:58:33 +0000
