=== debian/control ===
Source: kongress
Section: kde
Priority: optional
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcalendarcore-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-knotifications-dev,
               kf6-kservice-dev,
               kosmindoormap-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://apps.kde.org/en/kongress
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/extras/kongress.git
Vcs-Browser: https://invent.kde.org/neon/extras/kongress
Maintainer: Neon CI <neon@kde.org>

Package: kongress
Architecture: any
Depends: kf6-kirigami-addons,
         qml6-module-org-kde-kirigami2,
         qml6-module-org-kde-kosmindoormap,
         qml6-module-qtqml,
         qml6-module-qtqml-models,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: companion application for conferences made by KDE
 Kongress provides practical information about conferences. It supports
 conferences that offer their schedule in iCalendar format. In Kongress, the
 data of the talks are shown in various ways, e.g. in daily views, by talk
 category, etc. The users can also create a list of favorite conference
 talks/events as well as they can navigate to the web page of each talk. A map
 of the conference venue, location information and link to OpenStreetMap can
 also be added.
