## kongress 25.08.2+p24.04+vunstable+git20251011.0839

=== debian/changelog ===
kongress (25.08.2+p24.04+vunstable+git20251011.0839-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 08:39:58 +0000
