## kongress 25.08.2+p24.04+vunstable+git20251015.0738

=== debian/changelog ===
kongress (25.08.2+p24.04+vunstable+git20251015.0738-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 07:38:32 +0000
