=== debian/changelog ===
kongress (25.08.2+p24.04+vunstable+git20251020.0547-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 05:47:15 +0000
