## kongress 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kongress VERSION ${RELEASE_SERVICE_VERSION})
@@ -48,7 +48,7 @@
 
 find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Config Kirigami2 I18n CalendarCore CoreAddons)
 find_package(KF6KirigamiAddons 1.0 REQUIRED)
-find_package(KOSMIndoorMap 25.08 REQUIRED)
+find_package(KOSMIndoorMap REQUIRED)
 ecm_set_disabled_deprecation_versions(QT 6.9.0 KF 6.13.0)
