## kongress 25.08.3+p24.04+vunstable+git20251202.2343

=== debian/changelog ===
kongress (25.08.3+p24.04+vunstable+git20251202.2343-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 23:43:57 +0000

kongress (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:33:51 +1000
