## kongress 25.08.3+p24.04+vunstable+git20251206.0513

=== debian/changelog ===
kongress (25.08.3+p24.04+vunstable+git20251206.0513-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 05:13:49 +0000
